<?php
require_once "inc/usuario.php";

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}


if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/local_estoque.php';
  // $redirect = 'erpc_local_estoque_list.php';

  $redirect = 'erpc_armazens_locais_list.php';
  $local_estoque = ler_local_estoque();

 


  // capturando o usuário e unidade logado
  $usuario_pedido = getLoggedUser();
  $local_estoque['id_usuario']=$usuario_pedido['id'];
  // $local_estoque['id_unidade']=$usuario_pedido['unidade'];
  

  /* 19/03/2018 Inclusão do campo vl_pagamento, */
  // if(!isset($local_estoque['vl_pagamento'])){
  //   $local_estoque['vl_pagamento']  = $local_estoque['vl_total_pedido'];
  // }
  
  // echo "<pre>";
  // print_r($local_estoque);
  // echo "</pre>";
  // exit;
  
  if (isset($_POST['btn-add'])) {
    $ok = local_estoque_insert($local_estoque);
    if ($ok === false) {
      $redirect = 'erpc_armazens_locais_add.php';
    }
  } else if (isset($_POST['btn-edit'])) {
    $local_estoque['id'] = $_POST['id'];
    
    $ok = local_estoque_update($local_estoque);
    if ($ok === false) {
      $redirect = 'erpc_armazens_locais_add.php?id=' . urlencode(base64_encode($local_estoque['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $local_estoque['id'] = $_POST['id'];
    $ok = local_estoque_delete($local_estoque);
    if ($ok === false) {
      $redirect = 'erpc_armazens_locais_remove.php?id=' . urlencode(base64_encode($local_estoque['id']));
    }
  }else if (isset($_POST['btn-confirmar-alteracao-status'])) {
    $local_estoque['id'] = $_POST['id'];
    $local_estoque['st_bloq'] = $_POST['st_bloq']==true?'false':'true';
    
    $ok = local_estoque_alterar_status($local_estoque);
    if ($ok === false) {
      $redirect = 'erpc_armazens_locais_list.php';
    }
  }
  // else if (isset($_POST['btn-confirmar-impressao-etiquetas'])) {
  //   $local_estoque['id'] = $_POST['id'];

  //   // $ok = local_estoque_alterar_status($local_estoque);
  //    $redirect = 'erpc_armazens_impressao.php';
  // }
  header("Location:$redirect");
  exit;
}

function ler_local_estoque() {
  date_default_timezone_get('America/Sao_Paulo');
  $local_estoque = local_estoque_create();

  if (isset($_POST['local_estoque'])) {
    $local_estoque = array_replace_recursive($local_estoque, $_POST['local_estoque']);
  }
 
  foreach($local_estoque as $k => $v) {
    $local_estoque[$k] = sgcws_sanitize_field($k, $v);

    //  echo "<br> $key ==> $v";
  }

  $itens = $local_estoque['itens'];
  foreach($itens as $i => $item) {
    foreach($item as $k => $v) {
      $item[$k] = sgcws_sanitize_field($k, $v);
    }
    $itens[$i] = $item;
  }
  $local_estoque['itens'] = $itens;

return $local_estoque;
}
  